Subject: Re: bug#7833: automake uses two different values for DejaGNU srcdir

From: Ian Lance Taylor <[email-masked]>
Date: Thu, 13 Jan 2011 09:31:23 -0800

Stefano Lattarini <[email-masked]> writes:

> Are you sure about this?  Why then is the attached testcase working
> (for me at least)?

I guess I'm not sure what point you are trying to make with your
example.  A relative srcdir will sometimes work and sometimes fail.  It
seemed to me an absolute srcdir should always work, but Ralf has pointed
out a somewhat obscure case where it too can fail.  Either way, it makes
no sense for automake to use two different values for srcdir.  It should
pick one and stick to it.

Ian